Subject: Re: 8xx bus monitoring

From: Pantelis Antoniou <[email-masked]>
Date: Wed, 26 Jan 2005 09:06:17 +0200

Robin Gilks wrote:
> Greetings
> 
> System is a MPC859 based controller.
> 
> I'm trying to determine whether a peripheral is not responding to memory 
> fetches by using the bus monitor feature on the Transfer Acknowledge 
> (TA) signal. This is set to the maximum count in the Bus Monitor Timeout 
> (BMT) in the System Protect Control Register (SYPCR). The monitoring is 
> enabled by setting the Bus Monitor Enable (BME) bit in SYPCR as well.
> 
> I understand that I can use the Transfer Error Status Register (TESR) to 
> read the fact that I have had a timeout by checking the Data Transfer 
> Monitor Timeout (DTMT) bit in this register.
> 
> The problem is, how do I know any error has occured so I know to look at 
>  the TESR. I can't see a way of generating an exception from this 
> condition.
> 
> Any help appreciated.
> 

You get a machine check exception.

It's pretty obvious then :)

Regards

Pantelis